Subject: Re: bug#49271: 28.0.50: native-comp: Signing macOS self-contained .app bundle fails due to new *.eln location

From: Jim Myhrberg <[email-masked]>
Date: Thu, 1 Jul 2021 15:53:13 +0100

> On 30 Jun 2021, at 20:05, Alan Third <[email-masked]> wrote:
> 
> Please try the attached patch.

I've successfully built, signed and notarized a full AoT build with this patch. I also applied the patch from bug#49270 to ensure *.eln files are located correctly within the bundle.

Everything is working as expected, and in fact, codesign even automatically finds and signs all *.eln files within Contents/Frameworks when signing the app bundle itself, so I no longer need to individually sign each *.eln file before signing the whole app bundle :)